Summary: 	Next generation window manager for XFce
Name: 		xfwm4
Version: 	4.6.1
Release: 	1%{?_dist_release}
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
Group: 		User Interface/Desktops
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	gtk2-devel >= 2.10.0
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	libxfce4util-devel >= 4.6.0
BuildRequires:	libxfcegui4-devel >= 4.6.0
BuildRequires:	xfconf-devel >= 4.6.0
BuildRequires:	libwnck-devel >= 2.12
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	dbus-glib-devel >= 0.72
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	libXrandr-devel
Requires:	xfconf

%description
xfwm4 is a window manager compatable with GNOME, GNOME2, KDE2, KDE3 and Xfce.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc example.gtkrc-2.0 README INSTALL TODO COPYING AUTHORS COMPOSITOR
%{_bindir}/*
#%{_libdir}/xfce4/*
%{_libexecdir}/xfce4/xfwm4
%{_datadir}/applications
%{_datadir}/icons
%{_datadir}/themes
%{_datadir}/xfwm4
%{_datadir}/xfce4/doc

%changelog
* Fri May 22 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 4.6.1-1
- new upstream release
- updated BR

* Wed Oct 15 2008 Shu KONNO <owa@bg.wakwak.com> 4.4.2-1vl5
- applied new versioning policy

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.2-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 4.4.1-0vl1
- new upstream version

* Sat Dec 10 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.3.2-0vl1
- new upstream release

* Mon Jun 13 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.2-0vl2
- new upstream release

* Thu Mar 31 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.1-0vl2
- new upstream release

* Sun Jan 23 2005 UECHI Yasumasa <uechi@potaway.net> 4.2.0-0vl2
- new upstream release

* Mon Jul 12 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.6-0vl1
- new upstream release

* Mon Apr 19 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.5-0vl1
- new upstream release

* Mon Mar 22 2004 UECHI Yasumasa <uechi@potaway.net> 4.0.4-0vl1
- new upstream release

* Tue Jan 13 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3.1-0vl1
- new upstream release

* Fri Jan 09 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.3-0vl1
- new upstream release

* Wed Jan 07 2004 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.2-0vl1
- new upstream release

* Thu Nov 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.1-0vl1
- new upstream release

* Sat Sep 27 2003 UECHI Yasumasa <uh@u.dhis.portside.net> 4.0.0-0vl1
- initial release

